
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #301

Audacious hangs when opending some m4a files

May 29, 2013 20:22 - Hongchol Sinn

Status: Closed Start date: May 29, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/aac Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.4-beta1   

Description

It only occurs for some m4a files (but more than one of them I had).  The others I had worked fine. Upon opening the m4a file,

Audacious shows the file open dialog and hangs.

$ audacious -v

Audacious 3.4-beta1 (05/29/2013)

I captureed log as below and attached the beginning part of the log file.

$ audacious -V 01\ This\ One\'s\ For\ The\ Ladies.m4a > ~/audacious_and_an_m4a.log&

$ more audacious_and_an_m4a.log

main.c:572 [main]: No remote session; starting up.

main.c:462 [init_two]: Loading configuration.

main.c:465 [init_two]: Initializing.

main.c:478 [init_two]: Loading lowlevel plugins.

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib/audacious/Tra

nsport/mms.so

...

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/aac.so.

probe.c:49 [check_opened]: Opening file:///mnt/k/mp3/alt/young_fresh_fellows/198

9-this_one%27s_for_the_ladies/01%20This%20One%27s%20For%20The%20Ladies.m4a.

VFS: <0x12495a0> open (mode r) file:///mnt/k/mp3/alt/young_fresh_fellows/1989-th

is_one%27s_for_the_ladies/01%20This%20One%27s%20For%20The%20Ladies.m4a

VFS: <0x7f4184002a00> seek to 32 from beginning

VFS: <0x7f4184002a00> seek to 148 from beginning

History

#1 - May 29, 2013 20:24 - Hongchol Sinn

Forgot to mention that the same file can be opened fine if the file name extension was changed to mp4.

#2 - May 30, 2013 01:26 - John Lindgren

Please attach the m4a file.

#3 - May 30, 2013 01:47 - Hongchol Sinn

- File 01 This One_s For The Ladies.m4a added

Attaching the file

#4 - May 30, 2013 07:25 - John Lindgren

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/4f36dd9d41c47d93cc629888fc8b2e497438942e

#5 - May 30, 2013 08:24 - Hongchol Sinn

I verfied that the problem is now fixed.
https://github.com/audacious-media-player/audacious-plugins/commit/4f36dd9d41c47d93cc629888fc8b2e497438942e


#6 - May 31, 2013 01:13 - John Lindgren

- Category set to plugins/aac

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

- Affects version 3.4-beta1 added

Files

xaa 31 KB May 29, 2013 Hongchol Sinn

01 This One_s For The Ladies.m4a 1.37 MB May 30, 2013 Hongchol Sinn
